%define major   1
%define devname %mklibname bellesip -d
%define libname %mklibname bellesip %{major}

%bcond_with tests

Name:           belle-sip
Version:        4.4.21
Release:        %mkrel 1
Summary:        Linphone sip stack

Group:          Communications/Telephony
License:        GPLv2
URL:            http://linphone.org/technical-corner/belle-sip/overview
Source0:        https://github.com/BelledonneCommunications/belle-sip/archive/%{version}/%{name}-%{version}.tar.gz
# (wally) fix pkgconfig file contents when building with cmake
Patch0:		belle-sip-cmake-fix-pkgconfig-pc-file.patch
BuildRequires:  cmake
BuildRequires:  bctoolbox-devel >= %{version}

%description
Belle-sip is an object oriented c written SIP stack used by Linphone.

%package -n     %{libname}
Summary:        The belle-sip library, a part of belle-sip
Group:          System/Libraries

%description -n %{libname}
The belle-sip library, a part of belle-sip.

%package -n     %{devname}
Summary:        Development libraries for belle-sip
Group:          System/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{devname}
Libraries and headers required to develop software with belle-sip.

%prep
%autosetup -p1

# Fix project version
sed -i -e '/belle-sip/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake \
    -DENABLE_STATIC:BOOL=NO \
    -DENABLE_STRICT:BOOL=NO \
    -DENABLE_TESTS:BOOL=%{?_with_tests:YES}%{?!_with_tests:NO}
%cmake_build

%install
%cmake_install

# remove static libraries
find %{buildroot} -name '*.la' -delete

%files -n %{devname}
%{_includedir}/belle-sip/
%{_libdir}/libbellesip.so
%{_libdir}/pkgconfig/belle-sip.pc
%{_libdir}/cmake/BelleSIP/
%if %{with tests}
%{_bindir}/belle_sip_tester
%dir %{_datadir}/belle_sip_tester/
%{_datadir}/belle_sip_tester/tester_hosts
%endif

%files -n %{libname}
%{_libdir}/libbellesip.so.%{major}{,.*}


%changelog
* Sun Dec 27 2020 wally <wally> 4.4.21-1.mga8
+ Revision: 1664105
- new version 4.4.21

* Sat Dec 19 2020 wally <wally> 4.4.19-1.mga8
+ Revision: 1661348
- new version 4.4.19

* Thu Dec 10 2020 wally <wally> 4.4.13-1.mga8
+ Revision: 1655180
- new version 4.4.13

* Mon Nov 23 2020 wally <wally> 4.4.9-1.mga8
+ Revision: 1648757
- new version 4.4.9

* Sun Oct 25 2020 wally <wally> 4.4.6-1.mga8
+ Revision: 1639236
- new version 4.4.6

* Sat Oct 03 2020 wally <wally> 4.4.2-1.mga8
+ Revision: 1632017
- new version 4.4.2

* Sat Mar 28 2020 wally <wally> 4.3.1-1.mga8
+ Revision: 1561372
- new version 4.3.1
- build with new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1.6.3-3.mga7
+ Revision: 1295408
- Mageia 7 Mass Rebuild

* Fri Aug 03 2018 wally <wally> 1.6.3-2.mga7
+ Revision: 1247133
- add patch to fix devel pkg requires

* Sun Dec 31 2017 wally <wally> 1.6.3-1.mga7
+ Revision: 1188322
- new version 1.6.3
- drop unneeded bctoolbox patch
- switch to cmake build
- update URL

* Sat Dec 30 2017 wally <wally> 1.5.0-4.mga7
+ Revision: 1188072
- add patch to build with new bctoolbox
- rebuild for new libbctoolbox
+ tv <tv>
- rebuild for new libbctoolbox

* Sun Jan 22 2017 akien <akien> 1.5.0-2.mga6
+ Revision: 1083024
- Remove hard dep on mbedtls, it is now used only by bctoolbox

* Thu Dec 01 2016 zezinho <zezinho> 1.5.0-1.mga6
+ Revision: 1071545
- new style file list
- new version 1.5.0

* Thu Jan 14 2016 luigiwalser <luigiwalser> 1.4.2-2.mga6
+ Revision: 923145
- rebuild for polarssl/mbedtls
+ oden <oden>
- reverty the polarssl -> mbedtls switch
- polarssl/mbedtls

* Mon Nov 16 2015 oden <oden> 1.4.2-1.mga6
+ Revision: 903557
- 1.4.2

* Sun Jul 26 2015 daviddavid <daviddavid> 1.4.1-1.mga6
+ Revision: 857801
- new version: 1.4.1

* Thu Apr 30 2015 oden <oden> 1.4.0-1.mga5
+ Revision: 820859
- 1.4.0

* Sat Jan 17 2015 alexl <alexl> 1.3.0-2.mga5
+ Revision: 811105
- cleanup spec
- exclude the "devel(libantlr3c(64bit))" too

* Fri Jan 16 2015 alexl <alexl> 1.3.0-1.mga5
+ Revision: 810994
- used antlr-3.4 instead of antlr-3.5.2, because of regress in new antlr
- imported package belle-sip

